<?php
$current_url = admin_url().'admin.php?page=ad2app/pages/shell.php&tab=fields';
function delete_ad2app_custom_field(){
    if(isset($_GET['field'])){
        if($_GET['field'] != ""){
            $key = $_GET["field"];
            delete_option("ad2app_custom_field_icon_$key");
            ?>
            <p>
                #زمینه دلخواه حذف شد.
            </p>
            <a class="button button-primary" href="<?= admin_url().'admin.php?page=ad2app/pages/shell.php&tab=fields';?>">  بازگشت </a>
            <?php
            exit();
        }
    }
}
function insert_ad2app_icon_field(){
    $icon = $_POST["icon"];
    $name = $_POST["name"];
    $period = $_POST['range'] == 'on' ? 1 : 0;
    update_option("ad2app_custom_field_icon_$name",$icon);
    update_option("ad2app_custom_field_range_$name",$period);
    if($period == 1){
        $min_max = array(
            'min' => $_POST['min_range'],
            'max' => $_POST['max_range'],
            'unit' => $_POST['unit'],
            'step' => $_POST['step']
        );
        update_option("ad2app_custom_field_min_max_range_$name",$min_max);
    }

}
if(isset($_GET["action"])){
    if($_GET['action'] == 'delete'){
        delete_ad2app_custom_field();
    }
}
else{
    if (
        isset($_POST["name"])
        && $_POST["name"] != ""
    )
    {
        insert_ad2app_icon_field();
    }
}
global $wpdb;
$table_option = $wpdb->prefix . "options";
$results = $wpdb->get_results( "SELECT  * FROM $table_option WHERE option_name LIKE 'ad2app_custom_field_icon_%' " ,OBJECT);
$table_fields = $wpdb->prefix . "cp_ad_fields";
$fields = $wpdb->get_results( "SELECT  * FROM $table_fields" ,OBJECT);
?>
<div class="wrap">
    <form action="" method="post">
        <table class="form-table " style="direction: rtl">
            <tbody>
            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    <label > انتخاب فیلد  </label>
                </th>
                <td class="forminp">
                    <select class="form-control regular-text" id="select_meta_type" name="name" required="required">
                        <?php
                        foreach ($fields as $f){
                            ?>
                            <option  value="<?= $f->field_name?>"> <?= $f->field_label;?> </option>
                            <?php
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr valign="top" class="">
                <th scope="row" class="titledesc">
                    <label > دارای بازه عددی در جستجوی پیشرفته </label>
                </th>
                <td class="forminp">
                    <input type="checkbox" onchange="AutoCalculateMandateOnChange(this)" name="range">
                </td>
            </tr>
            <tr id="div_min_max" style="display: none">
                <th scope="row" class="titledesc">
                    <label > حداقل و حداکثر بازه </label>
                </th>
                <td class="forminp" style="direction: rtl">
                    حداقل  : <input name="min_range" type="number"/>
                    حداکثر  : <input name="max_range" type="number"/>
                    <br>
                    واحد   : <input name="unit" type="text"/>
                    step  : <input name="step" type="number"/>
                </td>
            </tr>
            <tr  valign="top"  class="el_type"  id="image" >
                <th scope="row" class="titledesc">
                    <label dir="rtl">    عکس </label>
                </th>
                <td class="forminp">
                    <input type="hidden" value="" id="txt_url_item_hami" name="icon">
                    <img id="div_image_item_hami" class="banner" style="width:64px;cursor: pointer;" src="<?= ($for_edit['value'] != '')? $for_edit['value'] : 'http://placehold.it/64x64&text=1x1'?>">
                </td>
            </tr>
            <tr >
                <th scope="row" class="titledesc">
                </th>
                <td class="forminp">
                    <input type="submit"  value="ذخیره"  name="submit_banner">
                </td>
            </tbody>
        </table>
    </form>
    <hr>
    <table class="wp-list-table widefat striped" style="direction: rtl">
        <tbody>
        <tr valign="top" class="">
            <th scope="row" class="">
                <label > #  </label>
            </th>
            <th scope="row" class="">
                <label > آیکون  </label>
            </th>
            <th scope="row" class="">
                <label > نام فیلد  </label>
            </th>
            <th scope="row" class="">
                <label > برچسب  </label>
            </th>
            <th scope="row" class="">
                <label > استفاده به عنوان بازه  </label>
            </th>
            <th scope="row" class="">
                <label >  حذف  </label>
            </th>
        </tr>
        <?php
        $i = 0;
        foreach ($results as $key){
            $i++;
            //$key->option_value;
            $name = trim(str_replace('ad2app_custom_field_icon_','',$key->option_name));
            ?>
            <tr valign="top" class="">
                <td scope="row" class="">
                    <label > <?= $i; ?>  </label>
                </td>
                <td scope="row" class="">
                    <?php
                    if($key->option_value != ""){
                        ?>
                        <img src="<?= $key->option_value;?>" width="64">
                        <?php
                    }
                    else{
                        ?>
                        <label>
                            بدون عکس
                        </label>
                        <?php
                    }
                    ?>
                </td>
                <td scope="row" class="">
                    <label > <?= $name;?>  </label>
                </td>
                <td scope="row" class="">
                    <?php
                    $field = $wpdb->get_row( "SELECT  * FROM $table_fields WHERE field_name LIKE '".$name . "'" , object);
                    ?>
                    <label > <?= $field->field_label;?> </label>
                </td>
                <td>
                    <label>
                        <?php
                        echo $range = get_option('ad2app_custom_field_range_'.$name) ? 'بازه' : 'پیشفرض' ;
                        if( get_option('ad2app_custom_field_range_'.$name) == '1'){
                            $min_max_range = array(
                                'min' => 0,
                                'max' => 0,
                            );
                            if(is_array(get_option('ad2app_custom_field_min_max_range_'.$name))){
                                $min_max_range = get_option('ad2app_custom_field_min_max_range_'.$name);
                                if(!isset($min_max_range['min']) || !isset($min_max_range['min'])){
                                    $min_max_range = array(
                                        'min' => 0,
                                        'max' => 0,
                                    );
                                }
                            }
                            echo ' ( '.implode(',' , $min_max_range).' ) ';
                        }
                        ?>
                    </label>
                </td>
                <td scope="row" class="">
                    <a href="<?= $current_url . '&action=delete&field='.$name?>" style="color: red;"  >  حذف </a>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
    </table>
</div>
<?php
wp_enqueue_media();
?>
<script>
    jQuery('#display_type').on('change', function() {

        var type_val = (jQuery('#display_type').val());
        //alert(type_val)
        jQuery('.el_type').css('display','none');
        if(type_val == 'select'){
            jQuery('#display').css('display','table-row');
        }
        else if(type_val == 'title'){
            jQuery('#title').css('display','table-row');
        }
        else if(type_val == 'image'){
            jQuery('#image').css('display','table-row');
        }
    });
    var custom_uploader_hami;
    jQuery('#div_image_item_hami').click(function (e) {
        e.preventDefault();
        custom_uploader_hami = wp.media.frames.custom_uploader_hami = wp.media({
            title: 'انتخاب تصویر',
            library: {type: 'image'},
            button: {text: 'انتخاب'},
            multiple: false
        });
        custom_uploader_hami.on('select', function() {
            attachment = custom_uploader_hami.state().get('selection').first().toJSON();
            jQuery('#txt_url_item_hami').val(attachment.url);
            url_image = attachment.url;
            jQuery('#div_image_item_hami').attr("src",url_image);
        });
        custom_uploader_hami.open();
    })
    function AutoCalculateMandateOnChange(element){
        //element.checked ? document.getElementById("LevyFee").disabled = true : document.getElementById("LevyFee").disabled = false;
        if(element.checked){
            jQuery('#div_min_max').attr('style' , 'display:table-row')
        }
        else {
            jQuery('#div_min_max').attr('style' , 'display:none')
        }
    }
</script>
